[sldev] Audio Driver Version: (none)

Thomas Grimshaw tom at streamsense.net
Sun Aug 2 01:15:31 PDT 2009


Did you run develop.py after installing the libraries?

~T

Vector Hastings wrote:
> Remembering that I'm in way over my head... any thoughts on how I'm 
> managing to compile this without invoking the fmod audio drivers?
>  
> MSVS 2005 Express
>  
> Cmake
>  
> fmod pieces are installed as per the wiki in libraries\include, in 
> libraries\i686-wub32\lib\release and lib\debug, and the fmod.dll is in 
> indra\newview.
>  
> Under Secondlife-bin > properites > Linker > Input > Additional 
> Dependencies, fmodvc.lib is there.
>  
> The source I'm compiling right now is a combo of 1.23 and snowglobe, 
> but I've had this problem my last build, which was 1.23 with just a 
> wee patch applied.
>  
> Under help > About, I see:
>  
> libcurl Version: libcurl/7.19.6-CVS OpenSSL/0.9.8j c-ares/1.6.0
> J2C Decoder Version: KDU
> *Audio Driver Version: (none)
> *LLMozLib Version: [LLMediaImplLLMozLib] - 2.01.25810 (Mozilla GRE 
> version 1.8.1.21_0000000000)
> Packets Lost: 0/4407 (0.0%)
>  
> But when I run a client compiled by someone else, from that same 
> configuration, I get Audio Driver Version: FMOD 3.75 (and the sound works)
>  
> Thanks for any suggestions,
>
> Vector
> ------------------------------------------------------------------------
>
> _______________________________________________
> Policies and (un)subscribe information available here:
> http://wiki.secondlife.com/wiki/SLDev
> Please read the policies before posting to keep unmoderated posting privileges



More information about the SLDev mailing list